=== modified file 'bzrlib/selftest/testmerge.py'
--- bzrlib/selftest/testmerge.py	2005-09-14 16:35:46 +0000
+++ bzrlib/selftest/testmerge.py	2005-09-15 15:28:33 +0000
@@ -7,7 +7,7 @@
 class TestMerge(TestCaseInTempDir):
     """Test appending more than one revision"""
     def test_pending(self):
-        br = Branch(".", init=True)
+        br = Branch.initialize(".")
         commit(br, "lala!")
         self.assertEquals(len(br.pending_merges()), 0)
         merge(['.', -1], [None, None])
@@ -16,7 +16,7 @@
     def test_nocommits(self):
         self.test_pending()
         os.mkdir('branch2')
-        br2 = Branch('branch2', init=True)
+        br2 = Branch.initialize('branch2')
         self.assertRaises(NoCommits, merge, ['branch2', -1], 
                           [None, None])
         return br2

=== modified file 'bzrlib/selftest/testremotebranch.py'
--- bzrlib/selftest/testremotebranch.py	2005-09-14 18:07:16 +0000
+++ bzrlib/selftest/testremotebranch.py	2005-09-15 15:28:33 +0000
@@ -29,11 +29,11 @@
 
         def new_branch(name):
             os.mkdir(name)
-            return Branch(name, init=True)
+            return Branch.initialize(name)
             
         #highest indices a: 5, b: 7
         br_a, br_b = make_branches()
-        br_rem = find_branch(self.get_remote_url(br_a.base))
+        br_rem = Branch.open(self.get_remote_url(br_a.base))
         assert not has_revision(br_b, br_rem.revision_history()[3])
         assert has_revision(br_b, br_rem.revision_history()[2])
         assert len(br_b.revision_history()) == 7

